function [ data ] = prozess_checkbox(data,pn,wn)
%erlaubt nur m?gliche Einstellungen der Prozess-checkboxes
%   pn .. Prozessnummer
%   wn .. Wertenummer
  
switch pn
    case 1   %%%%%%%%%prozess1
        switch wn
            case 1
                hi=get(data.prozess1_isotherm,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess1_isobar,'value',ho);
                    set(data.prozess1_isochor,'value',ho);
                    set(data.prozess1_adiabatisch,'value',ho);
                    set(data.prozess1_polytrop,'value',ho);
                    data.prozess1typ=1;
                else
                    set(data.prozess1_isotherm,'value',ho);
                end
                
            case 2
                hi=get(data.prozess1_isobar,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess1_isotherm,'value',ho);
                    set(data.prozess1_isochor,'value',ho);
                    set(data.prozess1_adiabatisch,'value',ho);
                    set(data.prozess1_polytrop,'value',ho);
                    data.prozess1typ=2;
                else
                    set(data.prozess1_isobar,'value',ho);
                end
                
            case 3
                hi=get(data.prozess1_isochor,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess1_isobar,'value',ho);
                    set(data.prozess1_isotherm,'value',ho);
                    set(data.prozess1_adiabatisch,'value',ho);
                    set(data.prozess1_polytrop,'value',ho);
                    data.prozess1typ=3;
                else
                    set(data.prozess1_isochor,'value',ho);
                end
                
            case 4
                hi=get(data.prozess1_adiabatisch,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess1_isobar,'value',ho);
                    set(data.prozess1_isochor,'value',ho);
                    set(data.prozess1_isotherm,'value',ho);
                    set(data.prozess1_polytrop,'value',ho);
                    data.prozess1typ=4;
                else
                    set(data.prozess1_adiabatisch,'value',ho);
                end
                
            case 5
                hi=get(data.prozess1_polytrop,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess1_isobar,'value',ho);
                    set(data.prozess1_isochor,'value',ho);
                    set(data.prozess1_adiabatisch,'value',ho);
                    set(data.prozess1_isotherm,'value',ho);
                    data.prozess1typ=5;
                else
                    set(data.prozess1_polytrop,'value',ho);
                end
        end
    case 2 %%%%%%%%%% prozess2
        switch wn
            case 1
                hi=get(data.prozess2_isotherm,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess2_isobar,'value',ho);
                    set(data.prozess2_isochor,'value',ho);
                    set(data.prozess2_adiabatisch,'value',ho);
                    set(data.prozess2_polytrop,'value',ho);
                    data.prozess2typ=1;
                else
                    set(data.prozess2_isotherm,'value',ho);
                end
                
            case 2
                hi=get(data.prozess2_isobar,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess2_isotherm,'value',ho);
                    set(data.prozess2_isochor,'value',ho);
                    set(data.prozess2_adiabatisch,'value',ho);
                    set(data.prozess2_polytrop,'value',ho);
                    data.prozess2typ=2;
                else
                    set(data.prozess2_isobar,'value',ho);
                end
                
            case 3
                hi=get(data.prozess2_isochor,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess2_isobar,'value',ho);
                    set(data.prozess2_isotherm,'value',ho);
                    set(data.prozess2_adiabatisch,'value',ho);
                    set(data.prozess2_polytrop,'value',ho);
                    data.prozess2typ=3;
                else
                    set(data.prozess2_isochor,'value',ho);
                end
                
            case 4
                hi=get(data.prozess2_adiabatisch,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess2_isobar,'value',ho);
                    set(data.prozess2_isochor,'value',ho);
                    set(data.prozess2_isotherm,'value',ho);
                    set(data.prozess2_polytrop,'value',ho);
                    data.prozess2typ=4;
                else
                    set(data.prozess2_adiabatisch,'value',ho);
                end
                
            case 5
                hi=get(data.prozess2_polytrop,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess2_isobar,'value',ho);
                    set(data.prozess2_isochor,'value',ho);
                    set(data.prozess2_adiabatisch,'value',ho);
                    set(data.prozess2_isotherm,'value',ho);
                    data.prozess2typ=5;
                else
                    set(data.prozess2_polytrop,'value',ho);
                end
        end
        
    case 3 %%%%%%%%%%%%% prozess3
        switch wn
            case 1
                hi=get(data.prozess3_isotherm,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess3_isobar,'value',ho);
                    set(data.prozess3_isochor,'value',ho);
                    set(data.prozess3_adiabatisch,'value',ho);
                    set(data.prozess3_polytrop,'value',ho);
                    data.prozess3typ=1;
                    % prozess3 ungleich prozess4
                    he=get(data.prozess4_isotherm,'value');
                    set(data.prozess4_isotherm,'visible','off');
                    set(data.prozess4_isobar,'visible','on');
                    set(data.prozess4_isochor,'visible','on');
                    set(data.prozess4_adiabatisch,'visible','on');
                    set(data.prozess4_polytrop,'visible','on');
                    if(he)
                        set(data.prozess4_isobar,'value',he);
                        set(data.prozess4_isotherm,'value',not(he));
                        set(data.prozess4_isochor,'value',not(he));
                        set(data.prozess4_adiabatisch,'value',not(he));
                        set(data.prozess4_polytrop,'value',not(he));
                        data.prozess4typ=2;
                    end
                else
                    set(data.prozess3_isotherm,'value',ho);
                end
                
            case 2
                hi=get(data.prozess3_isobar,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess3_isotherm,'value',ho);
                    set(data.prozess3_isochor,'value',ho);
                    set(data.prozess3_adiabatisch,'value',ho);
                    set(data.prozess3_polytrop,'value',ho);
                    data.prozess3typ=2;
                    % prozess3 ungleich prozess4
                    he=get(data.prozess4_isobar,'value');
                    set(data.prozess4_isobar,'visible','off');
                    set(data.prozess4_isotherm,'visible','on');
                    set(data.prozess4_isochor,'visible','on');
                    set(data.prozess4_adiabatisch,'visible','on');
                    set(data.prozess4_polytrop,'visible','on');
                    if(he)
                        set(data.prozess4_isotherm,'value',he);
                        set(data.prozess4_isobar,'value',not(he));
                        set(data.prozess4_isochor,'value',not(he));
                        set(data.prozess4_adiabatisch,'value',not(he));
                        set(data.prozess4_polytrop,'value',not(he));
                        data.prozess4typ=1;
                    end
                else
                    set(data.prozess3_isobar,'value',ho);
                end
                
            case 3
                hi=get(data.prozess3_isochor,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess3_isobar,'value',ho);
                    set(data.prozess3_isotherm,'value',ho);
                    set(data.prozess3_adiabatisch,'value',ho);
                    set(data.prozess3_polytrop,'value',ho);
                    data.prozess3typ=3;
                    % prozess3 ungleich prozess4
                    he=get(data.prozess4_isochor,'value');
                    set(data.prozess4_isochor,'visible','off');
                    set(data.prozess4_isotherm,'visible','on');
                    set(data.prozess4_isobar,'visible','on');
                    set(data.prozess4_adiabatisch,'visible','on');
                    set(data.prozess4_polytrop,'visible','on');
                    
                    if(he)
                        set(data.prozess4_isotherm,'value',he);
                        set(data.prozess4_isobar,'value',not(he));
                        set(data.prozess4_isochor,'value',not(he));
                        set(data.prozess4_adiabatisch,'value',not(he));
                        set(data.prozess4_polytrop,'value',not(he));
                        data.prozess4typ=1;
                    end
                else
                    set(data.prozess3_isochor,'value',ho);
                end
                
            case 4
                hi=get(data.prozess3_adiabatisch,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess3_isobar,'value',ho);
                    set(data.prozess3_isochor,'value',ho);
                    set(data.prozess3_isotherm,'value',ho);
                    set(data.prozess3_polytrop,'value',ho);
                    data.prozess3typ=4;
                     % prozess3 ungleich prozess4
                    he=get(data.prozess4_adiabatisch,'value');
                    set(data.prozess4_adiabatisch,'visible','off');
                    set(data.prozess4_isotherm,'visible','on');
                    set(data.prozess4_isobar,'visible','on');
                    set(data.prozess4_isochor,'visible','on');
                    set(data.prozess4_polytrop,'visible','on');
                    if(he)
                        set(data.prozess4_isotherm,'value',he);
                        set(data.prozess4_isobar,'value',not(he));
                        set(data.prozess4_isochor,'value',not(he));
                        set(data.prozess4_adiabatisch,'value',not(he));
                        set(data.prozess4_polytrop,'value',not(he));
                        data.prozess4typ=1;
                    end
                else
                    set(data.prozess3_adiabatisch,'value',ho);
                end
                
            case 5
                hi=get(data.prozess3_polytrop,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess3_isobar,'value',ho);
                    set(data.prozess3_isochor,'value',ho);
                    set(data.prozess3_adiabatisch,'value',ho);
                    set(data.prozess3_isotherm,'value',ho);
                    data.prozess3typ=5;
                     % prozess3 ungleich prozess4
                    he=get(data.prozess4_polytrop,'value');
                    set(data.prozess4_polytrop,'visible','off');
                    set(data.prozess4_isotherm,'visible','on');
                    set(data.prozess4_isobar,'visible','on');
                    set(data.prozess4_isochor,'visible','on');
                    set(data.prozess4_adiabatisch,'visible','on');
                    if(he)
                        set(data.prozess4_isotherm,'value',he);
                        set(data.prozess4_isobar,'value',not(he));
                        set(data.prozess4_isochor,'value',not(he));
                        set(data.prozess4_adiabatisch,'value',not(he));
                        set(data.prozess4_polytrop,'value',not(he));
                        data.prozess4typ=1;
                    end
                    
                else
                    set(data.prozess3_polytrop,'value',ho);
                end
        end
        
    case 4 %%%%%%%%%%%%% prozess4
        switch wn
            case 1
                hi=get(data.prozess4_isotherm,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess4_isobar,'value',ho);
                    set(data.prozess4_isochor,'value',ho);
                    set(data.prozess4_adiabatisch,'value',ho);
                    set(data.prozess4_polytrop,'value',ho);
                    data.prozess4typ=1;
                else
                    set(data.prozess4_isotherm,'value',ho);
                end
                
            case 2
                hi=get(data.prozess4_isobar,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess4_isotherm,'value',ho);
                    set(data.prozess4_isochor,'value',ho);
                    set(data.prozess4_adiabatisch,'value',ho);
                    set(data.prozess4_polytrop,'value',ho);
                    data.prozess4typ=2;
                else
                    set(data.prozess4_isobar,'value',ho);
                end
                
            case 3
                hi=get(data.prozess4_isochor,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess4_isobar,'value',ho);
                    set(data.prozess4_isotherm,'value',ho);
                    set(data.prozess4_adiabatisch,'value',ho);
                    set(data.prozess4_polytrop,'value',ho);
                    data.prozess4typ=3;
                else
                    set(data.prozess4_isochor,'value',ho);
                end
                
            case 4
                hi=get(data.prozess4_adiabatisch,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess4_isobar,'value',ho);
                    set(data.prozess4_isochor,'value',ho);
                    set(data.prozess4_isotherm,'value',ho);
                    set(data.prozess4_polytrop,'value',ho);
                    data.prozess4typ=4;
                else
                    set(data.prozess4_adiabatisch,'value',ho);
                end
                
            case 5
                hi=get(data.prozess4_polytrop,'value');
                ho=not(hi);
                if (hi)
                    set(data.prozess4_isobar,'value',ho);
                    set(data.prozess4_isochor,'value',ho);
                    set(data.prozess4_adiabatisch,'value',ho);
                    set(data.prozess4_isotherm,'value',ho);
                    data.prozess4typ=5;
                else
                    set(data.prozess4_polytrop,'value',ho);
                end
        end
end
end

       
   

